#include <stdio.h>

int
main(){
	int len, temp;
	scanf("%d", &len);
	len = len - 1;
	int arr[128] = {0};

	for(int i = 0; i <= len ; i++)
		scanf("%d", &arr[i]);

	for(int i = 0; i <= len/2; i++){
		temp = arr[i];
		arr[i] = arr[len-i];
		arr[len-i] = temp;
	}

	for(int i = 0; i <= len; i++)
		printf("%d ", arr[i]);

	putchar('\n');

return 0;}  



